> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1paymentswebhooks



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml post /v1/payments/webhooks/{provider}
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/payments/webhooks/{provider}:
    post:
      tags:
        - payments
      operationId: receivePaymentWebhook
      parameters:
        - in: path
          name: provider
          required: true
          schema:
            $ref: '#/components/schemas/PaymentProvider'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
      responses:
        '200':
          description: Verified event accepted
        '400':
          $ref: '#/components/responses/Problem'
        '413':
          $ref: '#/components/responses/Problem'
components:
  schemas:
    PaymentProvider:
      type: string
      enum:
        - telegram_stars
        - cryptobot
        - yookassa
        - manual
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        request_id:
          type: string
  responses:
    Problem:
      description: Request failed
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.